import { AbstractUiComponent } from "./AbstractUiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiChatMessageConfig } from "../generated/UiChatMessageConfig";
import { UiChatDisplayCommandHandler, UiChatDisplayConfig } from "../generated/UiChatDisplayConfig";
import { UiChatMessageBatchConfig } from "../generated/UiChatMessageBatchConfig";
export declare class UiChatDisplay extends AbstractUiComponent<UiChatDisplayConfig> implements UiChatDisplayCommandHandler {
    private $main;
    private gotFirstMessage;
    private requestingPreviousMessages;
    private uiChatMessages;
    private $loadingIndicatorWrapper;
    private $messages;
    private contextMenu;
    constructor(config: UiChatDisplayConfig, context: TeamAppsUiContext);
    private requestPreviousMessages;
    doGetMainElement(): HTMLElement;
    addMessages(batch: UiChatMessageBatchConfig): void;
    updateMessage(message: UiChatMessageConfig): void;
    deleteMessage(messageId: number): void;
    clearMessages(batch: UiChatMessageBatchConfig): void;
    private scrollToBottom;
    private doWhenAllImagesAreLoaded;
    onResize(): void;
    closeContextMenu(): void;
}
